Skip to content
Start here

Update Prefix Dynamic Advertisement Status

Deprecated
client.addressing.prefixes.advertisementStatus.edit(stringprefixId, AdvertisementStatusEditParams { account_id, advertised } params, RequestOptionsoptions?): AdvertisementStatusEditResponse { advertised, advertised_modified_at }
PATCH/accounts/{account_id}/addressing/prefixes/{prefix_id}/bgp/status

Advertise or withdraw the BGP route for a prefix.

Deprecated: Prefer the BGP Prefixes endpoints, which additionally allow for advertising and withdrawing subnets of an IP prefix.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit WriteIP Prefixes: WriteIP Prefixes: BGP On Demand Write
ParametersExpand Collapse
prefixId: string

Identifier of an IP Prefix.

maxLength32
params: AdvertisementStatusEditParams { account_id, advertised }
account_id: string

Path param: Identifier of a Cloudflare account.

maxLength32
advertised: boolean

Body param: Advertisement status of the prefix. If true, the BGP route for the prefix is advertised to the Internet. If false, the BGP route is withdrawn.

ReturnsExpand Collapse

Update Prefix Dynamic Advertisement Status

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const response = await client.addressing.prefixes.advertisementStatus.edit(
  '2af39739cc4e3b5910c918468bb89828',
  { account_id: '258def64c72dae45f3e4c8516e2111f2', advertised: true },
);

console.log(response.advertised);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z"
  }
}